Subject: RE: [Sipping] New version of netann

From: "Eric Burger" <[email-masked]>
Date: Wed, 5 Mar 2003 16:10:13 -0500

> Original Message From: Christer Holmberg 
[snip]
> > As an explicit mechanism, it could be a parameter or a 
> header.  For some reason I have an aversion to inserting a 
> new header, but I could be convinced to get over that phobia.
> 
> Have you read the latest version of Gonzalo's early media 
> draft? How would that fit into this?

I didn't see where his draft described a generic mechanism.  My reading was "early media happens".

[snip]
> Which means that a UAC MUST support PRACK, instead of SHOULD, right?

I went with SHOULD just because if one is in an engineered network, there is not a REQUIREMENT for 100rel.  We could say MUST.  However, this means that we would need machinery on the media server side to reject requests without 100rel.  I don't see the need -- if for one reason or another the UAC doesn't support 100rel *and* the service provider can live with that, I'm happy with having the proxy enforce policy (as it is a PEP) rather than the media server.

Gonzalo's paper describes this in section 2.2.
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP